Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class GeneralName

    java.lang.Object
      |
      +--org.bouncycastle.asn1.x509.GeneralName

All Implemented Interfaces:
  DEREncodable

public class GeneralName
extends java.lang.Object
implements DEREncodable

     GeneralName ::= CHOICE {
          otherName                       [0]     OtherName,
          rfc822Name                      [1]     IA5String,
          dNSName                         [2]     IA5String,
          x400Address                     [3]     ORAddress,
          directoryName                   [4]     Name,
          ediPartyName                    [5]     EDIPartyName,
          uniformResourceIdentifier       [6]     IA5String,
          iPAddress                       [7]     OCTET STRING,
          registeredID                    [8]     OBJECT IDENTIFIER}

     OtherName ::= SEQUENCE {
          type-id    OBJECT IDENTIFIER,
          value      [0] EXPLICIT ANY DEFINED BY type-id }

     EDIPartyName ::= SEQUENCE {
          nameAssigner            [0]     DirectoryString OPTIONAL,
          partyName               [1]     DirectoryString }

Constructor Summary
`GeneralName(DERObject name, int tag)` When the subjectAltName extension contains an Internet mail address, the address MUST be included as an rfc822Name.
`GeneralName(X509Name directoryName)`

Method Summary
`DERObject` | `getDERObject()`
`static GeneralName` | `getInstance(ASN1TaggedObject tagObj, boolean explicit)`
`static GeneralName` | `getInstance(java.lang.Object obj)`
`DEREncodable` | `getName()`
`int` | `getTagNo()`
`void` | `markInsideImplicit(boolean isInsideImplicit)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneralName

    public GeneralName(X509Name directoryName)

### GeneralName

    public GeneralName(DERObject name,
                       int tag)

  When the subjectAltName extension contains an Internet mail address, the address MUST be included as an rfc822Name. The format of an rfc822Name is an "addr-spec" as defined in RFC 822 [RFC 822]. When the subjectAltName extension contains a domain name service label, the domain name MUST be stored in the dNSName (an IA5String). The name MUST be in the "preferred name syntax," as specified by RFC 1034 [RFC 1034]. When the subjectAltName extension contains a URI, the name MUST be stored in the uniformResourceIdentifier (an IA5String). The name MUST be a non-relative URL, and MUST follow the URL syntax and encoding rules specified in [RFC 1738]. The name must include both a scheme (e.g., "http" or "ftp") and a scheme-specific-part. The scheme- specific-part must include a fully qualified domain name or IP address as the host. When the subjectAltName extension contains a iPAddress, the address MUST be stored in the octet string in "network byte order," as specified in RFC 791 [RFC 791]. The least significant bit (LSB) of each octet is the LSB of the corresponding byte in the network address. For IP Version 4, as specified in RFC 791, the octet string MUST contain exactly four octets. For IP Version 6, as specified in RFC 1883, the octet string MUST contain exactly sixteen octets [RFC 1883].

Method Detail

### getInstance

    public static GeneralName getInstance(java.lang.Object obj)

### getInstance

    public static GeneralName getInstance(ASN1TaggedObject tagObj,
                                          boolean explicit)

### markInsideImplicit

    public void markInsideImplicit(boolean isInsideImplicit)

  Deprecated.

  mark whether or not we are contained inside an implicitly tagged object.

### getTagNo

    public int getTagNo()

### getName

    public DEREncodable getName()

### getDERObject

    public DERObject getDERObject()

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD